<?PHP
	////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////
	
	////Conexiones y tiempos de ejecución
	$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
	$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
	ini_set('max_execution_time', $LtEn);
	include ("Conections/$VpnEn.php");
	
	$Cve_Modulo = "CMOD201506100078";
	
	///Arrastra Variables Fijas
	$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
	$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
	$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
	$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];
			
	/////////Identificar personalización 1
	$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
	if (mysql_numrows($sqlP1)==0) echo "";
	else{
		$registroP1=mysql_fetch_array($sqlP1);
	}
	if (mysql_numrows($sqlP1)>0)
	{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
	}
	
	/////////Identificar personalización 2
	$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
	if (mysql_numrows($sqlP2)==0) echo "";
	else{
		$registroP2=mysql_fetch_array($sqlP2);
	}
	if (mysql_numrows($sqlP2)>0)
	{
		$Titulo=$registroP2["TITULO_PAGINAS"];
	}
	
	/////////Identificar personalización 3
	$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
	if (mysql_numrows($sqlP3)==0) echo "";
	else{
		$registroP3=mysql_fetch_array($sqlP3);
	}
	if (mysql_numrows($sqlP3)>0)
	{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
	}
	
	/////////Identificar personalización 4
	$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
	if (mysql_numrows($sqlP4)==0) echo "";
	else{
		$registroP4=mysql_fetch_array($sqlP4);
	}
	if (mysql_numrows($sqlP4)>0)
	{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
	}		
	
	/////////Identificar configuracion 1
	$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
	if (mysql_numrows($sqlC1)==0) echo "";
	else{
		$registroC1=mysql_fetch_array($sqlC1);
	}
	if (mysql_numrows($sqlC1)>0)
	{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
	}
	
	/////////Identifica si el token aun esta vigente
	$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
	$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
	$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
	$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
	$FechAct=$PreTo4=date("d/m/Y");
	
	if ($FechTok<>$FechAct)
	{
		echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
	}
	else
	{ ///Inicia IF Sesion Token
		
		/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
			
			/////////Identificar permisos de acceso 2
			$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
			if (mysql_numrows($sqlPA2)==0) 
			{
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
			}
			else
			{ ///Inicia IF Permiso de Acceso 2
				
				/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
				$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
				if (mysql_numrows($sqlPA3)==0) 
				{
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
				}
				else
				{ ///Inicia IF Permiso de Acceso 3
					
					//////HORA y FECHA/////
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					$Fecha=date("Y/m/d");
					
					////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
				?>
				<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
				<html xmlns="http://www.w3.org/1999/xhtml">
					<head>
						<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
						<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
						<script language='javascript' src="popcalendar.js"></script>
						<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
						<title><?PHP echo $Titulo; ?></title>
						<style type="text/css">
							body {
							background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
							}
							
							.Clase_TipoLetraTitulos {
							font-family: <?PHP echo $FuTi_Form; ?>;
							font-size:<?PHP echo $TaTi_Form; ?>px;
							color:<?PHP echo $BgTi_Form; ?>;
							}
							.Clase_TipoLetra {
							font-family: <?PHP echo $FuCu_Form; ?>;
							font-size:<?PHP echo $TaCu_Form; ?>px;
							color:<?PHP echo $BgCu_Form; ?>;
							}
							.Clase_INPUT_Text {
							border: 1px solid <?PHP echo $Borde_Form; ?>;
							background: #FFFFFF;
							COLOR: #000000;
							FONT-FAMILY: Arial, Helvetica, sans-serif;
							FONT-SIZE: 12px;
							}
							
						</style>
						
						<!-- Inicia Validador de Inactividad -->
						<script type="text/javascript">
							var Inac;
							function ini() {
								Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
							}
							function parar() {
								clearTimeout(Inac);
								Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
							}
						</script>
						
						<!-- Termina Validador de Inactividad -->
					</head>
					
					<body onload="ini()" onkeypress="parar()" onclick="parar()">
						<?PHP
							include ("MenuEstructura.php");				
						?>
						
						<!-- Inicia Cuerpo de la Interfaz Gráfica -->
						<Br><Br><Br><Br><Br><Br><Br><Br>
						<script type="text/javascript" src="ECOMMERCE\jscolor.js"></script>
						<?php	
							
							$sqlGR = "SELECT CVE_CUENTA FROM wms_configura_altacuentas WHERE NOMBRE_CUENTA='".$CtaSesionEn."'";
							$resultadoGR=mysql_query($sqlGR,$conexion);
							$x = mysql_fetch_array($resultadoGR);
							
							$sqlGR = "SELECT * FROM ecomm_cuenta WHERE CVE_CUENTA=".$x[0];
							$resultadoGR=mysql_query($sqlGR,$conexion);
							
							if(mysql_num_rows($resultadoGR)==0){
								$sqlGR = "INSERT INTO ecomm_cuenta VALUES(NULL,$x[0],NULL,NULL,'1')";
								$resultadoGR=mysql_query($sqlGR,$conexion);
								}
								
							if($_POST['guardar']=="ok"){
								$sqlGR = "UPDATE ecomm_cuenta SET CLIENTID='$_POST[CLIENTID]', SECRET='$_POST[SECRET]' WHERE CVE_CUENTA='$x[0]'";
								$resultadoGR=mysql_query($sqlGR,$conexion);
								$sqlGR = "UPDATE ecomm_visual SET VERSION='$_POST[VER]' WHERE CVE_CUENTA='$x[0]'";
								$resultadoGR=mysql_query($sqlGR,$conexion);
								}
							
							$sqlGR = "SELECT * FROM ecomm_visual WHERE CVE_CUENTA=".$x[0];
							$resultadoGR=mysql_query($sqlGR,$conexion);
							$ecv = mysql_fetch_array($resultadoGR);
							
							$sqlGR = "SELECT * FROM ecomm_cuenta WHERE CVE_CUENTA=".$x[0];
							$resultadoGR=mysql_query($sqlGR,$conexion);
							$x = mysql_fetch_array($resultadoGR);
							
	function get_access_token($url, $postdata) {
	global $clientId, $clientSecret;
	$curl = curl_init($url); 
	curl_setopt($curl, CURLOPT_POST, true); 
	curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
	curl_setopt($curl, CURLOPT_USERPWD, $clientId . ":" . $clientSecret);
	curl_setopt($curl, CURLOPT_HEADER, false); 
	curl_setopt($curl, CURLOPT_RETURNTRANSFER, true); 
	curl_setopt($curl, CURLOPT_POSTFIELDS, $postdata);
	$response = curl_exec( $curl );
	if (empty($response)){
	    return "";
	    curl_close($curl);
	} else {
	$info = curl_getinfo($curl);
	    curl_close($curl);
		if($info['http_code'] != 200 && $info['http_code'] != 201 ) {
			return "";}
	else{
	$jsonResponse = json_decode( $response );
	return $jsonResponse->access_token;
	}}}
	
		if($x['CLIENTID']!=NULL AND $x['SECRET']!=NULL){
		if ($x['TIPO']==0){$host = 'https://api.sandbox.paypal.com';}else{$host = 'https://api.paypal.com';}
		$clientId = $x['CLIENTID'];
		$clientSecret = $x['SECRET'];
		$token = '';
		$url = $host.'/v1/oauth2/token';
		$postArgs = 'grant_type=client_credentials';
		$token = get_access_token($url,$postArgs);	
				if($token==null){echo "<script>alert('Los datos actuales son inválidos.Por favor revise la documentación para obtener más información.')</script>";}else {echo "<script>alert('Los datos introducidos se han confirmado correctamente.')</script>";}}
						?>
						
						<div align="center">
							<form id="form1" name="form1" method="post" action="59-EcommerceconfigPP.php"  enctype="multipart/form-data">
								<table width="639" border="0" style="border-collapse: collapse" bgcolor="<?PHP echo $FonTi_Form; ?>">
									<tr>
										<td height="30" colspan="4" align="left"><span class="Clase_TipoLetraTitulos">&nbsp;&nbsp;||  CONFIGURACI&OacuteN DE LA CUENTA ||</span></td>
									</tr>
									<tr>
										<td colspan="4" bgcolor="<?PHP echo $FonSe_Form; ?>"><span class="Estilo8">.</span></td>
									</tr>
									<tr>
										<td colspan="4" bgcolor="<?PHP echo $FonCi_Form; ?>">.</td>
									</tr>
									
									<tr><td width="106" bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left" class="Clase_TipoLetra">&nbsp;&nbsp;Cuenta :</div></td>
										<td width="214" bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left">
										<input disabled="disabled" <?php echo "Value='".$x['CVE_CUENTA']."'";?> type="text"  class="textoINPUT"></div></td></tr>			
			
									<!--if($_POST['nomsg']!='ok')!-->
			
									<SCRIPT>function enviar(){document.getElementById("nomsg").value='ok';document.getElementById("form1").submit();}</SCRIPT>
									<input type='hidden' name='nomsg' id='nomsg' value=''/>
									<tr><td width="106" bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left" class="Clase_TipoLetra">&nbsp;&nbsp;Versi&oacuten Paypal :</div></td>
										<td width="200" bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left">
										<input name="VER" type="RADIO" VALUE="1" <?PHP if($ecv['VERSION']=='1'){echo 'checked=\'checked\'';} ?> onclick="enviar();">&nbsp;V1
										<input name="VER" type="RADIO" VALUE="2" <?PHP if($ecv['VERSION']=='2'){echo 'checked=\'checked\'';} ?> onclick="enviar();">&nbsp;V2</div></td></tr>
										
										
										
										<tr><td width="106" bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left" class="Clase_TipoLetra">&nbsp;&nbsp;Client ID :</div></td>
										<td width="214" bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left">
										<input size="70" <?php echo "Value='$x[CLIENTID]'";?> name="CLIENTID" type="text"  class="textoINPUT"></div></td></tr>
										
										<tr><td width="106" bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left" class="Clase_TipoLetra">&nbsp;&nbsp;Secret :</div></td>
										<td width="214" bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left">
										<input size="70" <?php echo "Value='$x[SECRET]'";?> name="SECRET" type="text"  class="textoINPUT"></div></td></tr>

										<tr>
																													<td colspan="4" bgcolor="<?PHP echo $FonCi_Form; ?>"><input name="UsuKP" / type="text" id="UsuKP"  style='visibility:hidden' value="<?PHP echo $UsuEn; ?>" size="3" />
																														<INPUT TYPE="HIDDEN" NAME="CVE_CUENTA" VALUE="<?php echo $x['CVE_CUENTA'];?>">
																														<input name="TokenKP" / type="text" id="TokenKP"  style='visibility:hidden' value="<?PHP echo $TokEn; ?>" size="3" />
																														<input name="IdDAcce" / type="text" id="IdDAcce"  style='visibility:hidden' value="<?PHP echo $IDSeEn; ?>" size="3" />
																														<input name="CtaSKP" / type="text" id="CtaSKP"  style='visibility:hidden' value="<?PHP echo $CtaSesionEn; ?>" size="3" />
																														<input name="VPN" / type="text" id="VPN"  style='visibility:hidden' value="<?PHP echo $VpnEn; ?>" size="3" />
																													<input name="LT" / type="text" id="LT"  style='visibility:hidden' value="<?PHP echo $LtEn; ?>" size="3" />
																													<input type="hidden" name="guardar" value="ok" ></td>
																												</tr>
																												
																												<tr>
																													<td colspan="4" bgcolor="<?PHP echo $FonSe_Form; ?>">.</td>
																												</tr>
<?PHP
	//OR $x['TIPO']==0
	if($token!=null){
		echo "<tr><td colspan='4'>Acceso a M&oacutedulo ecommerce para clientes:</td></tr><tr><td colspan='4' bgcolor='$FonSe_Form'><span class='Estilo8'>.</span></td></tr>";
		
		if($ecv['VERSION']=='1'){echo "<tr><td colspan='4' bgcolor='$FonCi_Form'>&nbsp;&nbsp;Enlace: <input SIZE='40' type='text' value='LOCALHOST/wms/wms/ECOMMERCE/index.php?IDS=$x[CVE_CUENTA]'></td></tr><tr><td colspan='4' bgcolor='$FonCi_Form'>.</td></tr>";}
		else{echo "<tr><td colspan='4' bgcolor='$FonCi_Form'>&nbsp;&nbsp;Enlace: <input SIZE='40' type='text' value='LOCALHOST/wms/wms/ECOMM2/index.php?IDS=$x[CVE_CUENTA]'></td></tr><tr><td colspan='4' bgcolor='$FonCi_Form'>.</td></tr>";}
		
		//urlip
		//$externalContent = file_get_contents('http://ipecho.net/plain');
		//echo "<tr><td colspan='4' bgcolor='$FonCi_Form'>&nbsp;&nbsp;Enlace: <input SIZE='40' type='text' value='http://$externalContent:$_SERVER[SERVER_PORT]/wms/wms/ECOMMERCE/index.php?IDS=$x[CVE_CUENTA]'></td></tr><tr><td colspan='4' bgcolor='$FonCi_Form'>.</td></tr>";
		}
	?>
																												<tr>
																													<td colspan="4" bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="center"><input type="submit" name="button" class="button" id="button" value="Guardar" style="height:25px; width:80px"/>&nbsp;&nbsp;&nbsp;&nbsp;<input type="button" class="button" style="height:25px; width:80px" value="Regresar" onClick=" window.location.href='<?PHP echo"Home.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&VPN=$VpnEn&LT=$LtEn&CtaSKP=$CtaSesionEn";?>' "></div></td>
																												</tr>
																												</table>
																												<br><br>
								</form>
							</div>
							<Br><Br><Br><Br>
							
							<!-- Termina Cuerpo de la Interfaz Gráfica -->
							
							<?PHP
							} ///Termina IF Permiso de Acceso 3
					} ///Termina IF Permiso de Acceso 2
				} ///Termina IF Permiso de Acceso 1
			} ///Termina IF Sesion del Token
		?>
	</body>
</html>